ISALNUM(3)

NAME
isalnum - alphanumeric character test

LIBRARY
libc

SYNOPSIS
#include <ctype.h>
int
isalnum(int c);

DESCRIPTION
The isalnum() function tests for any character for which isalpha(3) or isdigit(3) is true.

RETURN VALUES
The isalnum() function returns zero if the character tests false and returns non-zero if the character tests true.

SEE ALSO
ctype(3), isalpha(3), isascii(3), isblank(3), iscntrl(3), isdigit(3), isgraph(3), islower(3), isprint(3), ispunct(3), isspace(3), isupper(3), isxdigit(3), stdio(3), toascii(3), tolower(3), toupper(3), ascii(7)

STANDARDS
The isalnum() function conforms to ansiC.

CAVEATS
The argument to isalnum() must be EOF or representable as an unsigned char; otherwise, the behavior is undefined. See the CAVEATS section of ctype(3) for more details.